import { modelOptions, prop } from '@typegoose/typegoose';
import { Decimal128 } from 'mongoose';
// import * as meta from '../plugins/meta'; plugin Severity
import { ModelBase } from '../plugins/modelBase';
@modelOptions({
  schemaOptions: { collection: 'user' },
})
export class User extends ModelBase {
  @prop()
  name: string;

  @prop()
  phone: string;

  @prop()
  openid: string;

  @prop({ default: 1.01 })
  money: Decimal128;
}
