import { MidwayConfig } from '@midwayjs/core';

export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1666946133599_5072',
  koa: {
    port: 30000,
    globalPrefix: '/mt',
  },
  swagger: {
    swaggerPath: '/doc/api',
  },
  mongoose: {
    dataSource: {
      default: {
        uri: 'mongodb://127.0.0.1:27017/test',
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
          // useCreateIndex: true,
          // useFindAndModify: true,
          // allowDiskUse: true,
        },
        entities: ['./entity'],
      },
    },
  },
} as MidwayConfig;
